Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
connections "github.com/auth0/go-auth0/management/management/connections"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &connections.DeleteConnectionUsersByEmailQueryParameters{
Email: "email",
}
client.Connections.Users.DeleteByEmail(
context.TODO(),
"id",
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.users.deleteByEmail("id", {
email: "email",
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.users.deleteByEmail("id", {
email: "email",
});
}
main();curl --request DELETE \
--url https://{tenantDomain}/api/v2/connections/{id}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/connections/{id}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
Delete a connection user
Deletes a specified connection user by its email (you cannot delete all users from specific connection). Currently, only Database Connections are supported.
DELETE
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
users
Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
connections "github.com/auth0/go-auth0/management/management/connections"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &connections.DeleteConnectionUsersByEmailQueryParameters{
Email: "email",
}
client.Connections.Users.DeleteByEmail(
context.TODO(),
"id",
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.users.deleteByEmail("id", {
email: "email",
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.users.deleteByEmail("id", {
email: "email",
});
}
main();Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the connection (currently only database connections are supported)
Query Parameters
The email of the user to delete
Response
The user no longer exists.
Was this page helpful?
⌘I